Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


# sometimes you might need to disable tests to get it to build since tap
# depends on this
%global enable_tests 1

Name:           nodejs-minimist
Version:        1.2.0
Release:        alt1_7
Summary:        Parse argument options in Node.js

License:        MIT
URL:            https://github.com/substack/minimist
Source0:        https://registry.npmjs.org/minimist/-/minimist-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(tape)
%endif
Source44: import.info

%description
%{summary}.

This module is the guts of nodejs-optimist's argument parser without all the 
fanciful decoration.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/minimist
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/minimist

%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
%tap test/*.js
%endif

%files
%{nodejs_sitelib}/minimist
%doc readme.markdown example
%doc --no-dereference LICENSE

%changelog
* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt1_7
- new version

* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt0.1.njs.bootstrap
- bootstrap

